Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.localsearch.decider.deciderscorecomparator
Class NaturalDeciderScoreComparatorFactory

    java.lang.Object
      org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter
          org.optaplanner.core.impl.localsearch.event.LocalSearchSolverPhaseLifecycleListenerAdapter
              org.optaplanner.core.impl.localsearch.decider.deciderscorecomparator.AbstractDeciderScoreComparatorFactory
                  org.optaplanner.core.impl.localsearch.decider.deciderscorecomparator.NaturalDeciderScoreComparatorFactory

All Implemented Interfaces:
  EventListener, DeciderScoreComparatorFactory, LocalSearchSolverPhaseLifecycleListener, SolverLifecycleListener

    public class NaturalDeciderScoreComparatorFactory

extends AbstractDeciderScoreComparatorFactory

Implementation of `DeciderScoreComparatorFactory`. Compares by the natural order of scores.

See Also:
  `DeciderScoreComparatorFactory`

Field Summary

Fields inherited from class org.optaplanner.core.impl.localsearch.decider.deciderscorecomparator.AbstractDeciderScoreComparatorFactory
`logger`

Constructor Summary
`NaturalDeciderScoreComparatorFactory()`

Method Summary
`Comparator<Score>` | `createDeciderScoreComparator()`

Methods inherited from class org.optaplanner.core.impl.localsearch.event.LocalSearchSolverPhaseLifecycleListenerAdapter
`phaseEnded, phaseStarted, stepEnded, stepStarted`

Methods inherited from class org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter
`solvingEnded, solvingStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.optaplanner.core.impl.localsearch.event.LocalSearchSolverPhaseLifecycleListener
`phaseEnded, phaseStarted, stepEnded, stepStarted`

Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Constructor Detail

### NaturalDeciderScoreComparatorFactory

    public NaturalDeciderScoreComparatorFactory()

Method Detail

### createDeciderScoreComparator

    public Comparator<Score> createDeciderScoreComparator()

  Returns:
    never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.